import { UseSignInData } from '@farcaster/auth-kit';

declare function useAuthSignIn(): {
    onEmailSignIn: typeof onEmailSignIn;
    onConfirmEmailOtp: typeof onConfirmEmailOtp;
    onFarcasterSignIn: typeof onFarcasterSignIn;
};
declare function onEmailSignIn(email: string, options: {
    baseUrl: string;
    apiKey: string;
}): Promise<any>;
declare function onConfirmEmailOtp(email: string, emailId: string, token: string, options: {
    baseUrl: string;
    apiKey: string;
}): Promise<string | null>;
declare function onFarcasterSignIn(data: UseSignInData, options: {
    baseUrl: string;
    apiKey: string;
}): Promise<string | null>;

export { useAuthSignIn };
