import * as react_jsx_runtime from 'react/jsx-runtime';
import { ReactNode } from 'react';
import { AuthMaterialWithUser, OAuthProvider } from '@crossmint/common-sdk-auth';
import { UIConfig } from '@crossmint/common-sdk-base';
import { LoginMethod } from '../CrossmintAuthProvider.js';
import '@crossmint/client-sdk-smart-wallet';

type AuthStep = "initial" | "walletMethod" | "otp" | "qrCode";
type OAuthUrlMap = Record<OAuthProvider, string>;
interface AuthFormContextType {
    step: AuthStep;
    apiKey: string;
    baseUrl: string;
    fetchAuthMaterial: (refreshToken: string) => Promise<AuthMaterialWithUser>;
    appearance?: UIConfig;
    loginMethods: LoginMethod[];
    oauthUrlMap: OAuthUrlMap;
    isLoadingOauthUrlMap: boolean;
    setStep: (step: AuthStep) => void;
    setDialogOpen: (open: boolean) => void;
}
type ContextInitialStateProps = {
    apiKey: string;
    baseUrl: string;
    fetchAuthMaterial: (refreshToken: string) => Promise<AuthMaterialWithUser>;
    appearance?: UIConfig;
    loginMethods: LoginMethod[];
    setDialogOpen?: (open: boolean) => void;
};
declare const useAuthForm: () => AuthFormContextType;
declare const AuthFormProvider: ({ children, initialState, }: {
    children: ReactNode;
    initialState: ContextInitialStateProps;
}) => react_jsx_runtime.JSX.Element;

export { AuthFormProvider, useAuthForm };
